# Information Schema WSREP\_STATUS Table

The `WSREP_STATUS` table makes [Galera](https://mariadb.com/docs/galera-cluster/) node cluster status information available through the [Information Schema](/docs/server/reference/system-tables/information-schema.md). The same information can be returned using the [SHOW WSREP\_STATUS](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-wsrep_status.md) statement. Only users with the [SUPER](/docs/server/reference/sql-statements/account-management-sql-statements/grant.md#super) privilege can access information from this table.

The `WSREP_STATUS` table is part of the [WSREP\_INFO plugin](/docs/server/reference/plugins/mariadb-replication-cluster-plugins/wsrep_info-plugin.md).

## Example

```sql
SELECT * FROM information_schema.WSREP_STATUS\G
*************************** 1. row ***************************
         NODE_INDEX: 0
        NODE_STATUS: Synced
     CLUSTER_STATUS: Primary
       CLUSTER_SIZE: 3
 CLUSTER_STATE_UUID: 00b0fbad-6e84-11e4-8a8b-376f19ce8ee7
CLUSTER_STATE_SEQNO: 2
    CLUSTER_CONF_ID: 3
                GAP: NO
   PROTOCOL_VERSION: 3
```

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-wsrep_status-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
